org.apache.ignite.internal.util.typedef

## Interface C1<E1,R>

Type Parameters:
  `E1` - Type of the free variable, i.e. the element the closure is called or closed on.
  `R` - Type of the closure's return value.

All Superinterfaces:
  IgniteClosure<E1,R>, Serializable

All Known Implementing Classes:
  ToStringClosure

    public interface C1<E1,R>
    extends IgniteClosure<E1,R>

Defines `alias` for `IgniteClosure` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `IgniteClosure`.

See Also:
  `GridFunc`, `IgniteClosure`

### Method Summary

### Methods inherited from interface org.apache.ignite.lang.IgniteClosure

`apply`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021